🕹️Simulator
Customer Verifications
Verify Customer
To verify a customer with pending verification and proceed with activation, make a PATCH request to /simulator/customers/{customerId}/verify.
Simulates customer verification success
Unique customer ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Successful operation
No content
Invalid request
Not authorised
Customer not found
Internal error
PATCH /v1/simulator/customers/{customerId}/verify HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
No content
Reject Customer
To reject a customer with pending verification, make a PATCH request to /simulator/customers/{customerId}/reject.
Simulates customer verification rejection
Unique customer ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Successful operation
No content
Invalid request
Not authorised
Customer not found
Internal error
PATCH /v1/simulator/customers/{customerId}/reject HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
No content
Cards
Issue Card
To approve a pending card issuance request and proceed with activation, make a PATCH request to /simulator/cards/{cardId}/issue.
Simulates card issuing success
Unique card ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Successful operation
No content
Invalid request
Not authorised
Card not found
Internal error
PATCH /v1/simulator/cards/{cardId}/issue HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
No content
Fail Card Issuance
To fail a pending card issuance request, make a PATCH request to /simulator/cards/{cardId}/fail.
Simulates card issuing failure
Unique card ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Successful operation
No content
Invalid request
Not authorised
Card not found
Internal error
PATCH /v1/simulator/cards/{cardId}/fail HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
No content
Authorisations
Initiate Card Authorisation
To initiate a card authorisation for a specified card, make a POST request to /simulator/cards/{cardId}/authorisation. You have an option to automatically capture the created authorisation upon approval.
Simulates card authorisation
Unique card ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Content digest
Amount to be authorised
10.0Authorisation currency (ISO-4217)
EURWhether to capture the authorisation immediately
trueSuccessful operation
Unique authorisation ID
Unique account ID
Unique card ID
Authorisation status
Total authorised amount expressed as a decimal number
10.0Currency of the account (ISO-4217)
EURTotal authorised amount in origin (merchant) currency expressed as a decimal number
10.0Origin currency of the merchant (ISO-4217)
EURExchange rate for authorisation if merchant currency is different to account currency expressed as a decimal number. If merchant currency is the same as account currency, exchange rate is 1.0
10.0Date this authorisation was created (ISO-8601)
Date this authorisation was updated (ISO-8601)
Invalid request
Not authorised
Card not found
Internal error
POST /v1/simulator/cards/{cardId}/authorisation HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Content-Digest: text
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"amount": "10.0",
"currency": "EUR",
"capture": true
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"cardId": "123e4567-e89b-12d3-a456-426614174000",
"status": "pending",
"amount": "10.0",
"currency": "EUR",
"merchantAmount": "10.0",
"merchantCurrency": "EUR",
"exchangeRate": "10.0",
"merchant": {
"id": "text",
"name": "text",
"mcc": 1,
"country": "text",
"city": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}Capture Authorisation
To capture a pending card authorisation which was not initiated with automatic capture mode, make a PATCH request to /simulator/authorisations/{authorisationId}/capture.
Simulates card authorisation capture
Unique authorisation ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Successful operation
No content
Invalid request
Not authorised
Authorisation not found
Internal error
PATCH /v1/simulator/authorisations/{authorisationId}/capture HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
No content
Release Authorisation
To release a pending card authorisation which was not initiated with automatic capture mode, make a PATCH request to /simulator/authorisations/{authorisationId}/release.
Simulates card authorisation release
Unique authorisation ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Successful operation
No content
Invalid request
Not authorised
Authorisation not found
Internal error
PATCH /v1/simulator/authorisations/{authorisationId}/release HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
No content
Last updated